export declare function createCliCommand(options?: {
    args?: Record<string, unknown>;
    command?: string;
    bin?: string;
}): string;
type ArgumentValue = number | string | boolean | string[];
export type CliArgsObject<T extends object = Record<string, ArgumentValue>> = T extends never ? // eslint-disable-next-line @typescript-eslint/naming-convention
Record<string, ArgumentValue | undefined> | {
    _: string;
} : T;
export declare function objectToCliArgs<T extends object = Record<string, ArgumentValue>>(params?: CliArgsObject<T>): string[];
export {};
