"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createNodes = void 0;
const constants_1 = require("../internal/constants");
const targets_1 = require("./target/targets");
const utils_1 = require("./utils");
// name has to be "createNodes" to get picked up by Nx
exports.createNodes = [
    `**/${constants_1.PROJECT_JSON_FILE_NAME}`,
    async (projectConfigurationFile, createNodesOptions, context) => {
        const parsedCreateNodesOptions = createNodesOptions;
        const normalizedContext = await (0, utils_1.normalizedCreateNodesContext)(context, projectConfigurationFile, parsedCreateNodesOptions);
        return {
            projects: {
                [normalizedContext.projectRoot]: {
                    targets: await (0, targets_1.createTargets)(normalizedContext),
                },
            },
        };
    },
];
//# sourceMappingURL=plugin.js.map