"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createExecutorTarget = void 0;
const constants_1 = require("../../internal/constants");
function createExecutorTarget(options) {
    const { bin = constants_1.PACKAGE_NAME, projectPrefix } = options ?? {};
    return {
        executor: `${bin}:cli`,
        ...(projectPrefix
            ? {
                options: {
                    projectPrefix,
                },
            }
            : {}),
    };
}
exports.createExecutorTarget = createExecutorTarget;
//# sourceMappingURL=executor-target.js.map